Get Customer Profile

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.thankly.ai/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Thankly MCP server": {
  "url": "https://docs.thankly.ai/mcp"
}
Close
GET /customers/{external_customer_id}/profile

Return the L2 CustomerProfile for a customer, scoped to the caller's org.

Path parameters

  • external_customer_id string Required

Responses

  • 200 application/json

    Successful Response

    Hide response attributes Show response attributes object
    • org_id string Required
    • external_customer_id string Required
    • features object Required

      Additional properties are allowed.

    • signal_count integer Required
    • last_signal_at string | null
  • 422 application/json

    Validation Error

    Hide response attribute Show response attribute object
    • detail array[object]
      Hide detail attributes Show detail attributes object
      • loc array[string | integer] Required
      • msg string Required
      • type string Required
      • input
      • ctx object
GET /customers/{external_customer_id}/profile
curl \
 --request GET 'http://api.example.com/customers/{external_customer_id}/profile' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "org_id": "string",
  "external_customer_id": "string",
  "features": {},
  "signal_count": 42,
  "last_signal_at": "string"
}
Response examples (422)
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "ctx": {}
    }
  ]
}